geos::geom::util::GeometryLister Class Reference

`#include <GeometryLister.h>`

## Static Public Member Functions

static void | list (const Geometry *geom, std::vector< const Geometry * > &lst)

## Detailed Description

Extracts all the components of a collection, or just echoes back a pointers to singletons.

## Member Function Documentation

## list()

void geos::geom::util::GeometryLister::list | ( | const Geometry * | geom,
|  | std::vector< const Geometry * > & | lst )

inline static

Extracts the components from a `Geometry` and adds them to the provided container.

Useful for iterating over components of a collection.

Parameters

  geom | the geometry from which to extract
  lst | the list to add the extracted elements to

The documentation for this class was generated from the following file:

- GeometryLister.h